#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'certificateinfowidget.ui'
**
** Created: 2012-11-10T11:02:52
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "certificateinfowidget.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qframe.h>
#include <qtabwidget.h>
#include <qheader.h>
#include <qlistview.h>
#include <qtextedit.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a CertificateInfoWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
CertificateInfoWidget::CertificateInfoWidget( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "CertificateInfoWidget" );
    setMinimumSize( QSize( 250, 0 ) );
    CertificateInfoWidgetLayout = new QGridLayout( this, 1, 1, 0, 6, "CertificateInfoWidgetLayout"); 

    Frame3 = new QFrame( this, "Frame3" );
    Frame3->setFrameShape( QFrame::HLine );
    Frame3->setFrameShadow( QFrame::Sunken );

    CertificateInfoWidgetLayout->addMultiCellWidget( Frame3, 1, 1, 0, 1 );

    tabWidget = new QTabWidget( this, "tabWidget" );

    tab = new QWidget( tabWidget, "tab" );
    tabLayout = new QGridLayout( tab, 1, 1, 6, 6, "tabLayout"); 

    listView = new QListView( tab, "listView" );
    listView->addColumn( tr2i18n( "Description" ) );
    listView->addColumn( tr2i18n( "Information" ) );
    listView->setAllColumnsShowFocus( TRUE );
    listView->setShowSortIndicator( FALSE );

    tabLayout->addWidget( listView, 0, 0 );

    textView = new QTextEdit( tab, "textView" );
    textView->setReadOnly( TRUE );
    textView->setUndoRedoEnabled( FALSE );

    tabLayout->addWidget( textView, 1, 0 );
    tabWidget->insertTab( tab, QString::fromLatin1("") );

    tab_2 = new QWidget( tabWidget, "tab_2" );
    tabLayout_2 = new QGridLayout( tab_2, 1, 1, 6, 6, "tabLayout_2"); 

    pathView = new QListView( tab_2, "pathView" );
    pathView->addColumn( tr2i18n( "Path" ) );
    pathView->setRootIsDecorated( TRUE );

    tabLayout_2->addWidget( pathView, 0, 0 );
    tabWidget->insertTab( tab_2, QString::fromLatin1("") );

    dump = new QWidget( tabWidget, "dump" );
    dumpLayout = new QVBoxLayout( dump, 6, 6, "dumpLayout"); 

    dumpView = new QTextEdit( dump, "dumpView" );
    dumpView->setTextFormat( QTextEdit::LogText );
    dumpView->setReadOnly( TRUE );
    dumpView->setUndoRedoEnabled( FALSE );
    dumpLayout->addWidget( dumpView );
    tabWidget->insertTab( dump, QString::fromLatin1("") );

    CertificateInfoWidgetLayout->addMultiCellWidget( tabWidget, 2, 2, 0, 1 );

    importButton = new QPushButton( this, "importButton" );

    CertificateInfoWidgetLayout->addWidget( importButton, 3, 1 );
    Spacer2 = new QSpacerItem( 291, 16, QSizePolicy::Expanding, QSizePolicy::Minimum );
    CertificateInfoWidgetLayout->addItem( Spacer2, 3, 0 );

    TextLabel1 = new QLabel( this, "TextLabel1" );
    TextLabel1->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)4, 0, 0, TextLabel1->sizePolicy().hasHeightForWidth() ) );
    QFont TextLabel1_font(  TextLabel1->font() );
    TextLabel1_font.setBold( TRUE );
    TextLabel1->setFont( TextLabel1_font ); 

    CertificateInfoWidgetLayout->addMultiCellWidget( TextLabel1, 0, 0, 0, 1 );
    languageChange();
    resize( QSize(423, 403).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
CertificateInfoWidget::~CertificateInfoWidget()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void CertificateInfoWidget::languageChange()
{
    listView->header()->setLabel( 0, tr2i18n( "Description" ) );
    listView->header()->setLabel( 1, tr2i18n( "Information" ) );
    tabWidget->changeTab( tab, tr2i18n( "&Details" ) );
    pathView->header()->setLabel( 0, tr2i18n( "Path" ) );
    tabWidget->changeTab( tab_2, tr2i18n( "&Chain" ) );
    tabWidget->changeTab( dump, tr2i18n( "Du&mp" ) );
    importButton->setText( tr2i18n( "&Import to Local" ) );
    TextLabel1->setText( tr2i18n( "Certificate Information" ) );
}

/****************************************************************************
** CertificateInfoWidget meta object code from reading C++ file 'certificateinfowidget.h'
**
** Created: Sat Nov 10 11:02:52 2012
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "certificateinfowidget.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *CertificateInfoWidget::className() const
{
    return "CertificateInfoWidget";
}

QMetaObject *CertificateInfoWidget::metaObj = 0;
static QMetaObjectCleanUp cleanUp_CertificateInfoWidget( "CertificateInfoWidget", &CertificateInfoWidget::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString CertificateInfoWidget::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "CertificateInfoWidget", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString CertificateInfoWidget::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "CertificateInfoWidget", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* CertificateInfoWidget::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"CertificateInfoWidget", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_CertificateInfoWidget.setMetaObject( metaObj );
    return metaObj;
}

void* CertificateInfoWidget::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "CertificateInfoWidget" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool CertificateInfoWidget::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool CertificateInfoWidget::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool CertificateInfoWidget::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool CertificateInfoWidget::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
