#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'appearanceconfigwidgetbase.ui'
**
** Created: 2012-11-10T11:04:43
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "appearanceconfigwidgetbase.h"

#include <qvariant.h>
#include <qheader.h>
#include <qlistview.h>
#include <qpushbutton.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a AppearanceConfigWidgetBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
AppearanceConfigWidgetBase::AppearanceConfigWidgetBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "AppearanceConfigWidgetBase" );
    AppearanceConfigWidgetBaseLayout = new QHBoxLayout( this, 11, 6, "AppearanceConfigWidgetBaseLayout"); 

    categoriesLV = new QListView( this, "categoriesLV" );
    categoriesLV->addColumn( tr2i18n( "Key Categories" ) );
    AppearanceConfigWidgetBaseLayout->addWidget( categoriesLV );

    layout2 = new QVBoxLayout( 0, 0, 6, "layout2"); 

    foregroundButton = new QPushButton( this, "foregroundButton" );
    foregroundButton->setEnabled( FALSE );
    layout2->addWidget( foregroundButton );

    backgroundButton = new QPushButton( this, "backgroundButton" );
    backgroundButton->setEnabled( FALSE );
    layout2->addWidget( backgroundButton );

    fontButton = new QPushButton( this, "fontButton" );
    fontButton->setEnabled( FALSE );
    layout2->addWidget( fontButton );

    italicCB = new QCheckBox( this, "italicCB" );
    italicCB->setEnabled( FALSE );
    layout2->addWidget( italicCB );

    boldCB = new QCheckBox( this, "boldCB" );
    boldCB->setEnabled( FALSE );
    layout2->addWidget( boldCB );

    strikeoutCB = new QCheckBox( this, "strikeoutCB" );
    strikeoutCB->setEnabled( FALSE );
    layout2->addWidget( strikeoutCB );
    spacer6 = new QSpacerItem( 20, 100, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout2->addItem( spacer6 );

    defaultLookPB = new QPushButton( this, "defaultLookPB" );
    defaultLookPB->setEnabled( FALSE );
    layout2->addWidget( defaultLookPB );
    AppearanceConfigWidgetBaseLayout->addLayout( layout2 );
    languageChange();
    resize( QSize(616, 352).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( foregroundButton, SIGNAL( clicked() ), this, SLOT( slotForegroundClicked() ) );
    connect( backgroundButton, SIGNAL( clicked() ), this, SLOT( slotBackgroundClicked() ) );
    connect( fontButton, SIGNAL( clicked() ), this, SLOT( slotFontClicked() ) );
    connect( categoriesLV, SIGNAL( selectionChanged(QListViewItem*) ), this, SLOT( slotSelectionChanged(QListViewItem*) ) );
    connect( defaultLookPB, SIGNAL( clicked() ), this, SLOT( slotDefaultClicked() ) );
    connect( italicCB, SIGNAL( clicked() ), this, SLOT( slotItalicClicked() ) );
    connect( boldCB, SIGNAL( clicked() ), this, SLOT( slotBoldClicked() ) );
    connect( strikeoutCB, SIGNAL( clicked() ), this, SLOT( slotStrikeoutClicked() ) );

    // tab order
    setTabOrder( categoriesLV, foregroundButton );
    setTabOrder( foregroundButton, backgroundButton );
    setTabOrder( backgroundButton, fontButton );
    setTabOrder( fontButton, italicCB );
    setTabOrder( italicCB, boldCB );
    setTabOrder( boldCB, strikeoutCB );
    setTabOrder( strikeoutCB, defaultLookPB );
}

/*
 *  Destroys the object and frees any allocated resources
 */
AppearanceConfigWidgetBase::~AppearanceConfigWidgetBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void AppearanceConfigWidgetBase::languageChange()
{
    setCaption( tr2i18n( "Color & Font Configuration" ) );
    categoriesLV->header()->setLabel( 0, tr2i18n( "Key Categories" ) );
    foregroundButton->setText( tr2i18n( "Set &Text Color..." ) );
    backgroundButton->setText( tr2i18n( "Set &Background Color..." ) );
    fontButton->setText( tr2i18n( "Set F&ont..." ) );
    italicCB->setText( tr2i18n( "Italic" ) );
    boldCB->setText( tr2i18n( "Bold" ) );
    strikeoutCB->setText( tr2i18n( "Strikeout" ) );
    defaultLookPB->setText( tr2i18n( "Default Appearance" ) );
}

void AppearanceConfigWidgetBase::slotForegroundClicked()
{
    qWarning( "AppearanceConfigWidgetBase::slotForegroundClicked(): Not implemented yet" );
}

void AppearanceConfigWidgetBase::slotBackgroundClicked()
{
    qWarning( "AppearanceConfigWidgetBase::slotBackgroundClicked(): Not implemented yet" );
}

void AppearanceConfigWidgetBase::slotFontClicked()
{
    qWarning( "AppearanceConfigWidgetBase::slotFontClicked(): Not implemented yet" );
}

void AppearanceConfigWidgetBase::slotSelectionChanged(QListViewItem*)
{
    qWarning( "AppearanceConfigWidgetBase::slotSelectionChanged(QListViewItem*): Not implemented yet" );
}

void AppearanceConfigWidgetBase::slotDefaultClicked()
{
    qWarning( "AppearanceConfigWidgetBase::slotDefaultClicked(): Not implemented yet" );
}

void AppearanceConfigWidgetBase::slotItalicClicked()
{
    qWarning( "AppearanceConfigWidgetBase::slotItalicClicked(): Not implemented yet" );
}

void AppearanceConfigWidgetBase::slotBoldClicked()
{
    qWarning( "AppearanceConfigWidgetBase::slotBoldClicked(): Not implemented yet" );
}

void AppearanceConfigWidgetBase::slotStrikeoutClicked()
{
    qWarning( "AppearanceConfigWidgetBase::slotStrikeoutClicked(): Not implemented yet" );
}

/****************************************************************************
** AppearanceConfigWidgetBase meta object code from reading C++ file 'appearanceconfigwidgetbase.h'
**
** Created: Sat Nov 10 11:04:44 2012
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "appearanceconfigwidgetbase.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *AppearanceConfigWidgetBase::className() const
{
    return "AppearanceConfigWidgetBase";
}

QMetaObject *AppearanceConfigWidgetBase::metaObj = 0;
static QMetaObjectCleanUp cleanUp_AppearanceConfigWidgetBase( "AppearanceConfigWidgetBase", &AppearanceConfigWidgetBase::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString AppearanceConfigWidgetBase::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "AppearanceConfigWidgetBase", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString AppearanceConfigWidgetBase::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "AppearanceConfigWidgetBase", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* AppearanceConfigWidgetBase::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QUMethod slot_1 = {"slotForegroundClicked", 0, 0 };
    static const QUMethod slot_2 = {"slotBackgroundClicked", 0, 0 };
    static const QUMethod slot_3 = {"slotFontClicked", 0, 0 };
    static const QUParameter param_slot_4[] = {
	{ 0, &static_QUType_ptr, "QListViewItem", QUParameter::In }
    };
    static const QUMethod slot_4 = {"slotSelectionChanged", 1, param_slot_4 };
    static const QUMethod slot_5 = {"slotDefaultClicked", 0, 0 };
    static const QUMethod slot_6 = {"slotItalicClicked", 0, 0 };
    static const QUMethod slot_7 = {"slotBoldClicked", 0, 0 };
    static const QUMethod slot_8 = {"slotStrikeoutClicked", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected },
	{ "slotForegroundClicked()", &slot_1, QMetaData::Protected },
	{ "slotBackgroundClicked()", &slot_2, QMetaData::Protected },
	{ "slotFontClicked()", &slot_3, QMetaData::Protected },
	{ "slotSelectionChanged(QListViewItem*)", &slot_4, QMetaData::Protected },
	{ "slotDefaultClicked()", &slot_5, QMetaData::Protected },
	{ "slotItalicClicked()", &slot_6, QMetaData::Protected },
	{ "slotBoldClicked()", &slot_7, QMetaData::Protected },
	{ "slotStrikeoutClicked()", &slot_8, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"AppearanceConfigWidgetBase", parentObject,
	slot_tbl, 9,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_AppearanceConfigWidgetBase.setMetaObject( metaObj );
    return metaObj;
}

void* AppearanceConfigWidgetBase::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "AppearanceConfigWidgetBase" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool AppearanceConfigWidgetBase::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    case 1: slotForegroundClicked(); break;
    case 2: slotBackgroundClicked(); break;
    case 3: slotFontClicked(); break;
    case 4: slotSelectionChanged((QListViewItem*)static_QUType_ptr.get(_o+1)); break;
    case 5: slotDefaultClicked(); break;
    case 6: slotItalicClicked(); break;
    case 7: slotBoldClicked(); break;
    case 8: slotStrikeoutClicked(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool AppearanceConfigWidgetBase::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool AppearanceConfigWidgetBase::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool AppearanceConfigWidgetBase::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
